import pygame
from pygame.locals import *
import sys 

class inputClass:
    """Handles input"""
    def __init__(self):
        self.clicked = False
        self.key = "" #the last key to be pressed
        self.done = False
        self.size = None

    def check(self):
        """See if there have been any input events"""
        for event in pygame.event.get():
            if event.type == QUIT: 
                self.done = True
            elif event.type == MOUSEBUTTONDOWN:
                self.clicked = True
            elif event.type == VIDEORESIZE:
                self.size = event.size
            elif event.type == KEYDOWN:
                if event.key == K_UP:
                    self.key = "up"
                elif event.key == K_DOWN:
                    self.key = "down"
                elif event.key == K_RETURN:
                    self.key = "enter"
                elif event.key == K_ESCAPE:
                    self.key = "escape"

    def newSize(self):
        """Return the new size if the window has been resized"""
        size = self.size
        if size: self.size = None
        return size
            
    def mousex(self):
        """Return the x position of the mouse."""
        return (pygame.mouse.get_pos())[0]

    def mousePressed(self):
        """Checks to see if the mouse has been pressed since the last time this function was called."""
        if self.clicked==True:
            self.clicked = False #reset the variable
            return True
        else:
            return False

    def keyPressed(self,key):
        """Checks to see if the key has been pressed since the last time this function was called."""
        if self.key==key:
            self.key = "" #reset the variable
            return True
        else:
            return False
